### How to Contribute

Thank you so *much* for offering to help out. We truly appreciate it.

If you'd like to contribute, start by searching through the [issues](../../issues) and [pull requests](../../pulls) to see whether someone else has raised a similar idea or question.

If you are adding a feature to this library, please create a PR and follow these best practices:

* If you've added a new feature document it with a simple example sketch. This serves both as a test of your PR and as a quick way for users to quickly learn how to use your new feature.
* If you add new functions also add them to keywords.txt so that they are properly highlighted in Arduino. [Read more](https://www.arduino.cc/en/Hacking/libraryTutorial).
* PRs should change as little as possible. Do not submit a PR that changes 100 lines of whitespace. Break up into multiple PRs if necessary.

## Style guide

Please read and follow the [Arduino API style guide](https://www.arduino.cc/en/Reference/APIStyleGuide). Also read and consider the [Arduino style guide](https://www.arduino.cc/en/Reference/StyleGuide).
